server {
  listen 80;
  server_tokens off;
  etag                     on;
  # security headers
  add_header X-Frame-Options "sameorigin" always;
  add_header X-XSS-Protection "1; mode=block" always;
  add_header X-Content-Type-Options "nosniff" always;
  add_header Referrer-Policy "no-referrer-when-downgrade" always;
  add_header Strict-Transport-Security "max-age=31536000; includeSubDomains; preload" always;
  add_header Feature-Policy "geolocation 'none'; midi 'none'; sync-xhr 'none'; microphone 'none'; camera 'none'; magnetometer 'none'; gyroscope 'none'; fullscreen 'self'; payment 'none';";
  add_header Expect-CT 'enforce; max-age=3600';
  add_header Content-Security-Policy "script-src 'self' 'unsafe-inline' 'unsafe-eval'; child-src 'self'; frame-src 'self'";

  location / {
    proxy_pass              http://###FRONTEND-DNS###:8080;
    proxy_buffers           64 64k;
    proxy_buffer_size       64k;
  }

  #This forwards websockets to webpack in development mode
  location /sockjs-node {
    proxy_set_header        X-Real-IP  $remote_addr;
    proxy_set_header        X-Forwarded-For $remote_addr;
    proxy_set_header        Host $host;
    proxy_redirect          off;
    proxy_http_version      1.1;
    proxy_set_header        Upgrade $http_upgrade;
    proxy_set_header        Connection "upgrade";
    proxy_pass              http://###FRONTEND-DNS###:8080;
  }

  location /api/v1/ {
    proxy_set_header        Host $http_host;
    proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_redirect          off;
    proxy_buffering         off;
    proxy_pass              http://###API-DNS###:8080;
    client_max_body_size    100M;
  }

  location /api/v1/static {
    root /app;
  }


}
